List All Entities Using External Secrets Managers
Returns a list of all source connections and destinations that are using any External Secrets Manager within your Fivetran account.
Request schema
Query parameters
Filter by a specific External Secrets Manager ID.
Filter by entity type. Accepted values are source, destination, or all.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/external-secrets-managers-entities?esm_id=lucky_tiger&type=source HTTP/1.1 Accept: application/json Authorization: BasicHost: api.fivetran.com
Responses
200
Response status code
Response status text
The collection of returned items
The unique identifier of the source connection or destination.
The type of entity using this External Secrets Manager. Possible values: SOURCE, DESTINATION.
The schema name of the source connection, or the name of the destination group.
Whether the source connection or destination is currently active and connected.
The unique identifier of the External Secrets Manager instance within the Fivetran system.
Timestamp when the entity was created
The value of the cursor parameter for the next page
{ "code": "Success", "message": "Operation performed successfully", "data": { "items": [ { "id": "connection_id", "type": "SOURCE", "name": "my_schema", "enabled": true, "secret_manager_id": "lucky_tiger", "created_at": "2024-01-01T00:00:00Z" } ], "next_cursor": "cursor_value" } }